Page MenuHomePhabricator

OOui overriding user changes on load
Closed, ResolvedPublic

Description

This happen for example in Special:Move:

  1. User clicks on "move"
  2. Special:Move is being loaded, with a oojsui inputbox containing the current name of the page
  3. (before page finished to load) user edits the content/paste the new name
  4. page load event, rewrites the original content (overriding user changes)

Event Timeline

eranroz created this task.Oct 31 2015, 9:55 AM
eranroz raised the priority of this task from to Needs Triage.
eranroz updated the task description. (Show Details)
eranroz added a subscriber: eranroz.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 31 2015, 9:55 AM
eranroz set Security to None.Oct 31 2015, 10:07 AM
eranroz added a subscriber: matmarex.
matmarex claimed this task.Oct 31 2015, 2:29 PM

We know this is a problem and I implemented a solution some time ago (4373c45db9f287696a2d246f458b142398ccfbe8 / T106313), but I didn't realize that it won't magically work for MovePage's mw.widgets.ComplexTitleInputWidget (added in 5befb9b74790a99aec5514ad8f8784a4fb085288 / T86865). I have a patch pending to fix it (https://gerrit.wikimedia.org/r/#/c/243080/), but it's been stuck in review for a while.

Change 243080 had a related patch set uploaded (by Bartosz Dziewoński):
mw.widgets.ComplexTitleInputWidget: Add infusion helpers

https://gerrit.wikimedia.org/r/243080

Jdforrester-WMF closed this task as Resolved.Nov 3 2015, 10:50 PM
Jdforrester-WMF triaged this task as Normal priority.
Jdforrester-WMF removed a project: Patch-For-Review.

Change 243080 merged by jenkins-bot:
mw.widgets.ComplexTitleInputWidget: Add infusion helpers

https://gerrit.wikimedia.org/r/243080

This issue has been fixed and the fix should be deployed to Wikimedia wikis next week (10-12 November) with MediaWiki 1.27.0-wmf.6, as per https://www.mediawiki.org/wiki/MediaWiki_1.27/Roadmap. You can test it now at http://en.wikipedia.beta.wmflabs.org/.

Jdforrester-WMF moved this task from Backlog to Reviewing on the OOUI board.Nov 21 2015, 2:29 AM